# Filename: selection_pick.py
# Purpose: Non-interactive selection an object in Vulcan.
# Returns: Object.

from maptek import vulcan_gui

# select layer non-interactively
sel = vulcan_gui.selection('Select Object')
sel.pick('BOUNDARY', group=None, feature=None)

# do something after selection...
for obj in sel:
    print(obj.colour)